OROoro docs
Auth

Create Session Endpoint

Create a session by verifying a signed challenge. The challenge must have been requested within the last 60 seconds and the signature must be valid for the challenge message. Rate limited to 5 requests per minute per IP to prevent brute force.

POST/v1/auth/session

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/v1/auth/session" \  -H "Content-Type: application/json" \  -d '{    "hotkey": "string",    "challenge": "string",    "signature": "string"  }'
{
  "session_token": "string",
  "expires_at": 0,
  "role": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}